Bug 1420938 - correction needed for 24.4. Configuring a Fibre Channel over Ethernet Interface
Summary: correction needed for 24.4. Configuring a Fibre Channel over Ethernet Interface
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Storage_Administration_Guide
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Milan Navratil
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 22:58 UTC by Mason Loring Bliss
Modified: 2019-03-06 01:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-24 22:20:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mason Loring Bliss 2017-02-09 22:58:05 UTC
Document URL:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Storage_Administration_Guide/fcoe-config.html

Section Number and Name:

24.4. Configuring a Fibre Channel over Ethernet Interface

Describe the issue:

Step 1 gives as an example:

    # cp /etc/fcoe/cfg-eth0  /etc/fcoe/cfg-ethX

However, in a default install, there is no /etc/fcoe/cfg-eth0. Instead, there is a file named "cfg-ethx".

Suggestions for improvement:

Step 1 should give as an example:

    # cp /etc/fcoe/cfg-ethx /etc/fcoe/cfg-ethX

Additional information:

While this is unfortunately confusing, it's correct. Just today I had a customer stumble on this, noting that there is no file "cfg-eth1".

Comment 3 Mason Loring Bliss 2017-05-19 19:19:33 UTC
Just noticed that the page seems to have been updated incorrectly.

We want:

# cp /etc/fcoe/cfg-ethx /etc/fcoe/cfg-ethX

Comment 5 Milan Navratil 2017-05-24 22:20:22 UTC
The fix is now available on the Red Hat Customer Portal:

http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Enterprise_Linux-7-Storage_Administration_Guide%20(html-single)/lastStableBuild/artifact/tmp/en-US/html-single/index.html#fcoe-config

~~~
 To configure a new VLAN, make a copy of an existing network script, for example /etc/fcoe/cfg-eth0, and change the name to the Ethernet device that supports FCoE. This provides you with a default file to configure. Given that the FCoE device is ethX, run:

# cp /etc/fcoe/cfg-ethx  /etc/fcoe/cfg-ethX

Modify the contents of cfg-ethX as needed. Notably, set DCB_REQUIRED to no for networking interfaces that implement a hardware Data Center Bridging Exchange (DCBX) protocol client. 
~~~

Comment 7 Milan Navratil 2017-05-24 22:28:33 UTC
I shared an internal link in comment 5 by accident. This is the correct link to the updated version of the Storage Administration Guide on the Red Hat Customer Portal: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Storage_Administration_Guide/fcoe-config.html


Note You need to log in before you can comment on or make changes to this bug.